SystemOrganization addCategory: #'System-Support-SystemSettings'!

Object subclass: #SystemSupportSystemSettings
	instanceVariableNames: ''
	classVariableNames: 'SoundEnabled UseThemeSounds'
	poolDictionaries: ''
	category: 'System-Support-SystemSettings'!

!SystemSupportSystemSettings classSide methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 12/3/2009 16:23'!
authorSettingOn: aBuilder
	<systemsettings>
	(aBuilder setting: #authorFullName)
		order: -100000;
		label: 'Author identification';
		target: Author;
		selector: #fullName;
		notInStyle;
		default: '';
		ghostHelp: 'Vincent van Gogh -> VincentVanGogh';
		description: 'Your fullname without any space, accent, dashe, underscore and similar characters. 
It will be used to sign the changes you make to the image.
As examples:
	Vincent van Gogh -> VincentVanGogh
	Miguel Cob -> MiguelCoba
	Gran Krampe -> GoranKrampe
	Gran Krampe -> GoeranKrampe
	Stphane DUCASSE -> StephaneDucasse
	Yoshiki Oshima -> YoshikiOshima'
! !

!SystemSupportSystemSettings classSide methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 12/10/2009 16:12'!
soundSettingsOn: aBuilder
	<systemsettings>
	(aBuilder setting: #soundEnabled)
		label: 'Sound'; 
		target: SoundSettings;
		parent: #appearance;
		noOrdering;
		with: [
			(aBuilder setting: #useThemeSounds)
				label: 'Use theme sounds';
				with: [
					(aBuilder pickOne: #soundThemeClass)
						label: 'Sound theme' translated;
						target: self;
						domainValuesGetter: (MessageSend receiver: self selector: #soundThemeClassChoices).
				]]! !

!SystemSupportSystemSettings classSide methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 12/10/2009 16:12'!
soundThemeClass
	^ SoundTheme current class
! !

!SystemSupportSystemSettings classSide methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 12/10/2009 16:15'!
soundThemeClass: aSoundThemeClass
	aSoundThemeClass ifNil: [^ self].
	self soundThemeClass ~= aSoundThemeClass
		ifTrue: [aSoundThemeClass beCurrent]! !

!SystemSupportSystemSettings classSide methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 12/10/2009 16:12'!
soundThemeClassChoices
	^ SoundTheme allThemeClasses collect: [:c | c themeName -> c]! !
